Summary: A GNU implementation of Scheme for application extensibility.
Name: guile
Version: 1.3
Release: 10
Source: ftp://ftp.gnu.org/pub/gnu/guile-%{PACKAGE_VERSION}.tar.gz
Patch0: guile-1.3-scm.patch
Patch1: guile-1.3-ansi.patch
Copyright: GPL
Group: Development/Languages
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info readline umb-scheme
Requires: umb-scheme

%description
GUILE (GNU's Ubiquitous Intelligent Language for Extension) is a library
implementation of the Scheme programming language, written in C.  GUILE
provides a machine-independent execution platform that can be linked in
as a library during the building of extensible programs.

Install the guile package if you'd like to add extensibility to programs
that you are developing.

%package devel
Summary: Libraries and header files for the GUILE extensibility library.
Group: Development/Libraries
Requires: guile

%description devel
The guile-devel package includes the libraries, header files, etc.,
that you'll need to develop applications that are linked with the
GUILE extensibility library.

You need to install the guile-devel package if you want to develop
applications that will be linked to GUILE.  You'll also need to
install the guile package.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .ansi

%build
%configure --enable-dynamic-linking
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

strip ${RPM_BUILD_ROOT}/usr/bin/guile
chmod +x ${RPM_BUILD_ROOT}/usr/lib/libguile.so.*.0.0
gzip -9nf ${RPM_BUILD_ROOT}/usr/info/data-rep*
mkdir -p ${RPM_BUILD_ROOT}/usr/share/guile/site
ln -s ../../lib/umb-scheme/slib ${RPM_BUILD_ROOT}/usr/share/guile/slib
ln -s ../../lib/umb-scheme/slibcat ${RPM_BUILD_ROOT}/usr/share/guile/slibcat

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/guile -c "(use-modules (ice-9 slib)) (require 'new-catalog)"

%postun
/sbin/ldconfig

%post devel
/sbin/install-info /usr/info/data-rep.info.gz /usr/info/dir

%preun devel
/sbin/install-info --delete /usr/info/data-rep.info.gz /usr/info/dir

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GUILE-VERSION HACKING NEWS README TODO
%doc SNAPSHOTS ANON-CVS THANKS
/usr/bin/guile
/usr/lib/libguile.so.*.*
%dir /usr/share/guile
%dir /usr/share/guile/site
%dir /usr/share/guile/%{PACKAGE_VERSION}
/usr/share/guile/%{PACKAGE_VERSION}/ice-9
/usr/share/aclocal/*
/usr/share/guile/slib
/usr/share/guile/slibcat

%files devel
%defattr(-,root,root)
/usr/bin/guile-config
/usr/bin/guile-snarf
/usr/lib/lib*so
/usr/lib/lib*a
/usr/include/guile
/usr/include/libguile
/usr/include/libguile.h
/usr/info/data-rep*

%changelog
* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- using the same catalog as umb-scheme makes umb-scheme a prereq

* Thu Feb 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- readline is needed for %post

* Tue Feb  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- use the same catalog as umb-scheme

* Thu Sep  2 1999 Jeff Johnson <jbj@redhat.com>
- fix broken %postun

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Mar 17 1999 Michael Johnson <johnsonm@redhat.com>
- added .ansi patch to fix #endif

* Wed Feb 10 1999 Cristian Gafton <gafton@redhat.com>
- add patch for the scm stuff

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- integrate changes from rhcn version (#640)

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize first to get it to compile on the arm

* Sat Jan  9 1999 Todd Larason <jtl@molehill.org>
- Added "Requires: guile" at suggestion of Manu Rouat <emmanuel.rouat@wanadoo.fr>

* Fri Jan  1 1999 Todd Larason <jtl@molehill.org>
- guile-devel does depend on guile
- remove devel dependancy on m4
- move guile-snarf from guile to guile-devel
- Converted to rhcn

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3.
- don't strip libguile.so.*.0.0. (but set the execute bits).

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- Updated for RH 5.2

* Mon Jan 26 1998 Marc Ewing <marc@redhat.com>
- Started with spec from Tomasz Koczko <kloczek@idk.com.pl>
- added slib link

* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>          (1.2-3)
- added %attr(-, root, root) for %doc, 
- in %post, %postun ldconfig runed as parameter "-p",
- removed /bin/sh from requires,
- added %description,
- changes in %files.

* Fri Jul 11 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>  (1.2-2)
- all rewrited for using Buildroot,
- added %postun,
- removed making buid logs,
- removed "--inclededir", added "--enable-dynamic-linking" to configure
  parameters,
- added striping shared libs and /usr/bin/guile,
- added "Requires: /bin/sh" (for guile-snarf) in guile package and
  "Requires: m4" for guile-devel,
- added macro %{PACKAGE_VERSION} in "Source:" and %files,
- added %attr macros in %files.
